# tarteaucitron
Portage pour SPIP de la solution de gestion de consentement aux cookies Tarteaucitron.js

Voir https://www.cnil.fr/fr/solutions-centralisees-de-recueil-de-consentement-aux-cookies-les-gestionnaires-de-tag

## Que fait le plugin ?
Il installe le script tarteaucitron.js (voir https://opt-out.ferank.eu/fr/) et propose une interface de configuration permettant le paramétrage de certaines options du plugin ainsi que la possibilité d'activer 4 services au choix :
- Gtag (Global Site Tag, le nouveau script de suivi pour Google Analytics)
- Google Maps
- Facebook
- Facebook Pixel

## Un plugin deux en un
En effet ce plugin fait deux choses à la fois :
1. il insère le tag permettant d'activer le(s) service(s) choisi(s)
2. il propose à vos internautes de choisir si ils acceptent d'être traqués ou non.

## Prérequis
- SPIP 3.2 (mais il devrait aussi marcher sur SPIP 3.1)
- Plugin Zcore (voir https://plugins.spip.net/zcore.html)

## Pour les développeurs : ajouter de nouveaux services
Il est possible d'ajouter de nouveaux services directement dans le plugin.

### Intégrer le code du service
Aller voir  https://opt-out.ferank.eu/fr/install/ / Etape 3 : ajouter les services et intégrer le code proposé dans un fichier à placer dans le répertoire `/services` du plugins

### Donner la possibilité d'activer ou non ce nouveau service
Il faut intégrer un nouveau champ de saisie correspondant à ce service et éventuellement à la clé correspondante dans le formulaire de déclaration des services. 

Cette intégration se fait dans le fichier `/formulaires/configurer_tarteaucitron_services.html` du plugin.

**Attention** : il faut absolument faire correspondre l'attribut 'name' du nouveau champ et le nom du fichier placé dans `/services`.
